// TLogDlg.h: header file for TLogDlg class
//

#pragma once

#include "Resource.h"
#include "Engine/Module.h"

// TLogDlg dialog

class TLogDlg : public TDialog
{
   DECLARE_DYNAMIC(TLogDlg)

public:
   TLogDlg(CWnd* pParent = NULL);   // standard constructor
   virtual ~TLogDlg();

   // Dialog Data
   enum { IDD = IDD_LOG };
   BOOL fFindLogAutomatically;
   CString strLogFile;
   CString strSensorName;
   TModule* m_pTag;

protected:
   virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support

   void EnableControls();

   DECLARE_MESSAGE_MAP()
   virtual BOOL OnInitDialog();
   afx_msg void OnBtnClickedChangeSensorName();
   afx_msg void OnCheckFindLogAutomatically();
};
